1. Hey Guest! Our new game Wargroove has released! Check out the forums or wiki for more information!
    Dismiss Notice

Tool StarModder Kit : The Modding IDE (WIP)

Discussion in 'Starbound Modding' started by C0rdyc3p5, Jul 15, 2016.

  1. NeoslayerX

    NeoslayerX Big Damn Hero

    I can't unpack .pak files. (Like Fracken Universe)
    I get this crazy error. Try unpacking it,
     
  2. MelOzone

    MelOzone Big Damn Hero

    That's really good news! I've found how I can (more or less) put things in their place using Photoshop grid rulers, but working with a GUI would be so much more convenient.
    If you need any info on what the widgets' parameters mean and how they affect rendering the window, feel free to ask me. I don't know everything, but I'm currently digging into that area ;)
     
  3. JOHNKRELL007

    JOHNKRELL007 Void-Bound Voyager

    I can't load my mods because they use _metadata instead of .modinfo, is there any way you can support it? I know that it would be best to leave the .modinfo option for legacy purposes. Other than that I feel like I will love it!

    And some input about that image editor you have planned, it should probably have:
    1. for blocks and objects there should have 8x8 gridlines.
    2. Armor should be 43x43 frames, and should probably have a player shadow for each frame to see how they will look in every movement animation, for example I wanted to make leggings, I would make them aligned with the shadow, and do that for every frame.
    3. Possibly adjustable gridlines?

    Edit: The gridlines should not physically be on the pictures, just visually in the editor.
     
    Last edited: Aug 19, 2016
  4. C0rdyc3p5

    C0rdyc3p5 Void-Bound Voyager


    Okay ! I'll do the support for those _metadata and also do the grid line like you said, but I don't know how I can make it editable for the moment, I mean I know, but the forms start flickering for no reason.
     
  5. JOHNKRELL007

    JOHNKRELL007 Void-Bound Voyager

    Thanks for responding! Looking forward to using this.
     
  6. MelOzone

    MelOzone Big Damn Hero

    One more note: when compiling the mod into .pak file, extension is not added by default (though filetype is set to pak).
    It would be good to add .pak extension to compiled mods automatically.
     
  7. HuggableCreep

    HuggableCreep Big Damn Hero

    Times like this makes me wish more people used linux, because i would really love to use this with my preferred os ~
     
  8. MelOzone

    MelOzone Big Damn Hero

    As far as I understand it should be usable under Wine, no?
    I know using Wine is like scratching ears with your legs, but still...
     
  9. projectmayhem

    projectmayhem Ketchup Robot

    This look awesome :) Great job!
     
  10. HuggableCreep

    HuggableCreep Big Damn Hero

    I wouldn't know if it worked under wine, i pretty much refuse to use it because of my bad experiences breaking my os install with it
     
  11. Tuesday's Eyebrow

    Tuesday's Eyebrow Phantasmal Quasar

    Oh my god, thank you so much! After wasting so much time trying to get java IDEs to do what I want, this will be SO NICE. It's already super convenient and I haven't even started updating my old mods yet, just the fact that it unpacks assents on its own is just SO GOOD. I think i'm having a nerdgasm...
     
  12. Trollinator316

    Trollinator316 Seal Broken

    When I go to the download link, Dropbox gives me a 404. Is it still available for download?
     
    Last edited: Dec 10, 2017
  13. kaffekane

    kaffekane Void-Bound Voyager

    Links are probably dead again.
     
  14. DeathplaysGT

    DeathplaysGT Guest

    Is This Still Working?
     
  15. C0rdyc3p5

    C0rdyc3p5 Void-Bound Voyager

    No I'm sorry to tell you this tool has been discontinued. I did'nt touch it for years now. School had restarted back in the time and I did'nt had the time anymore to put into this. Sorry everyone. May start again to work on it, maybe.


    https://www.mediafire.com/file/sp94gbb650ajqhh/SMKit.zip/file

    - Please keep in mind that some parts of this application may not work orrectly anymore. Like the updater may throw some errors has I don't support anymore backend of this software.
     
    Last edited: Oct 12, 2018

Share This Page